<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Validators\**" />
    <EmbeddedResource Remove="Validators\**" />
    <None Remove="Validators\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Polly.Core" Version="8.2.0" />
    <PackageReference Include="XC.RSAUtil" Version="1.3.6" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DataSharing.LuZhou\DataSharing.LuZhou.csproj" />
    <ProjectReference Include="..\DataSharing.Police110\DataSharing.Police110.csproj" />
    <ProjectReference Include="..\DataSharing.Repository\DataSharing.Repository.csproj" />
    <ProjectReference Include="..\DataSharing.YiBin\DataSharing.YiBin.csproj" />
    <ProjectReference Include="..\DataSharing.ZiGong\DataSharing.ZiGong.csproj" />
  </ItemGroup>

</Project>
